
From: Andreas Oberritter <obi@linuxtv.org>

Don't return immediately from dvb_dmx_swfilter_section_packet() if CC is not
ok.  Otherwise a new feed drops all packets until the first packet with CC=0
arrives.

Signed-off-by: Andreas Oberritter <obi@linuxtv.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/dvb-core/dvb_demux.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN drivers/media/dvb/dvb-core/dvb_demux.c~dvb-core-dvb_demux-fix-continuity-counter-error-handling drivers/media/dvb/dvb-core/dvb_demux.c
--- devel/drivers/media/dvb/dvb-core/dvb_demux.c~dvb-core-dvb_demux-fix-continuity-counter-error-handling	2005-09-04 16:50:53.000000000 -0700
+++ devel-akpm/drivers/media/dvb/dvb-core/dvb_demux.c	2005-09-04 16:50:53.000000000 -0700
@@ -336,7 +336,6 @@ static int dvb_dmx_swfilter_section_pack
 		*/
 		feed->pusi_seen = 0;
 		dvb_dmx_swfilter_section_new(feed);
-		return 0;
 	}
 
 	if (buf[1] & 0x40) {
_
